Subject: bug#66136: 29.1; byte-compiler reports "misplaced interactive spec" with empty fct in lexical environment

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 Sep 2023 17:39:35 -0400

> I managed to cobble up something like that, but are you really sure you
> want to warn about an empty/missing body?  I have a number of arguments
> against that, the main being that `cl-defgeneric' is processed through
> `macroexp-parse-body' exactly like `defun' - and for `cl-defgeneric' an
> empty body seems to be the rule and not the exception.

Hmm... for `cl-defgeneric`, indeed, an empty body is normal (it doesn't
mean "return nil" but it means the absence of a default method).
Very good point.

I know Mattias played with this part of the code (mostly to try and
figure what to do about the ordering of the various possible kinds of
declarations, which is a related yet different issue).  Maybe he has
a more informed opinion.

        Stefan